## dblatex 0.3.9

=== debian/changelog ===
dblatex (0.3.9-3) unstable; urgency=high

  * Fix upgrade errors when dist-upgrading from jessie to stretch:
    + Change the dependency from meanwhile virtual package
      texlive-math-extra to its successor texlive-science.
      Closes: #863683
    + Remove the call of command mktexlsr in postrm as it may be
      temporarily unavailable when dblatex postrm is called and as it is
      superfluous (mktexlsr gets called via a trigger anyway).
    + Remove postinst as it consists only of the problematic and
      superfluous mktexlsr call.
    Thanks to all the people who helped to analyze and to resolve this
    problem.  Closes: #863890

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Mon, 05 Jun 2017 19:06:19 +0200

dblatex (0.3.9-2) unstable; urgency=low

  * 20_preserve_spaces.patch:
    Preserve spaces in <code> and <literal> elements.
    Thanks to Raphaël Hertzog for reporting and for his patch.  Closes: #862332

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Tue, 16 May 2017 20:42:07 +0200

dblatex (0.3.9-1) unstable; urgency=low

  * New upstream release
    + Support configuration of image conversion target format for XeTeX
      backend.  Thanks to W. Martin Borgert for reporting.  Closes: #837168
    + Update README.Debian:
      Searching configuration files within several standard directories is not
      supported any longer.
  * 20_xmultirow.patch:
    Drop references to multirow package as superfluous and as crashing
    with texlive-latex-extra >= 2016.20161008-1 (due to the change of the
    \@xmultirow macro signature).  Thanks to Anders Kaseorg for reporting.
    Closes: #840189

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Tue, 11 Oct 2016 08:58:13 +0200

=== debian/control ===
Source: dblatex
Section: text
Priority: optional
Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
Build-Depends: debhelper (>= 9), dh-python
Build-Depends-Indep: python
Standards-Version: 3.9.8
Homepage: http://dblatex.sourceforge.net/
X-Python-Version: >= 2.4

Package: dblatex
Architecture: all
Depends: docbook-xml,
         python-apt,
         texlive,
         texlive-bibtex-extra,
         texlive-extra-utils,
         texlive-latex-extra,
         texlive-science,
         xsltproc,
         ${misc:Depends},
         ${python:Depends}
Recommends: libxml2-utils,
            dblatex-doc (= ${binary:Version})
Suggests: docbook,
          ghostscript,
          graphicsmagick-imagemagick-compat | imagemagick,
          inkscape,
          latex-cjk-all,
          lmodern,
          opensp,
          pdf-viewer,
          texlive-lang-all,
          texlive-lang-cyrillic,
          texlive-xetex,
          transfig,
          xindy
Description: Produces DVI, PostScript, PDF documents from DocBook sources
 DocBook to LaTeX Publishing that transforms your SGML/XML DocBook documents to
 DVI, PostScript or PDF by translating them in pure LaTeX as a first process.
 MathML 2.0 markups are supported, too.  It originally started as a clone of
 DB2LaTeX, but has been enhanced extensively since then and is actively
 maintained by the upstream author.

Package: dblatex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: dblatex (<< 0.3.8-1)
Breaks: dblatex (<< 0.3.8-1)
Description: Documentation for dblatex
 Additional documentation for dblatex in HTML and PDF.  Includes:
  • User Manual
  • Release Notes
  • DocBook Examples

=== debian/watch ===
# watch control file for uscan
version=4
http://sf.net/dblatex/dblatex-@ANY_VERSION@.tar.bz2
# as upstream source dblatex-examples.tar.bz2 has never changed until now and is
# unversioned, it can be downloaded only with 'uscan --force-download'
opts=component=examples http://sf.net/dblatex/dblatex-examples(\d){0}.tar.bz2 0

## dblatex 0.3.10

=== docs/Makefile ===
TABLES = $(wildcard table-eg*)
CHANGES = $(wildcard changes/*.xml)
VERSION = devel
OPTS =
XSLTPROC = xsltproc
XSLDBK = /usr/share/xml/docbook/stylesheet/docbook-xsl
XSLPROF = $(XSLDBK)/profiling/profile.xsl
XSLMAN = $(XSLDBK)/manpages/docbook.xsl
XSLHTML = $(XSLDBK)/xhtml/chunk.xsl
XSLPROFH = $(XSLDBK)/xhtml/profile-chunk.xsl
XSLOLINK = $(XSLDBK)/xhtml/docbook.xsl
HTMLDIRUM = xhtml/manual/
HTMLDIRRN = xhtml/release-notes/
CP = cp
HERE = $(shell pwd)

HTML_PARAMS = --param ignore.image.scaling "'1'" \
	      --param graphic.default.extension "'png'" \
	      --param use.id.as.filename "1" \
	      --param refentry.generate.name "0" \
	      --param refentry.generate.title "1" \
	      --param profile.attribute "'output'" \
              --param profile.value "'manual;html'" \
	      --param othercredit.like.author.enabled "1" \
	      --param generate.section.toc.level "3" \
	      --param html.stylesheet "'manual.css'"

# Where to find the manual and the release notes
vpath %.xml . changes

# Main targets
all: olink manpagegz allpdf allhtml

allpdf: manual.pdf release-notes.pdf

allhtml: $(HTMLDIRUM)/index.html $(HTMLDIRRN)/index.html

allstyle: all native db2latex simple

olink: manual.db release-notes.db

# Build and zip the Manpage
manpagegz: version.xml
	@$(MAKE) -C manpage -f ../Makefile dblatex.1.gz

# Build the HTML version of the documentation
$(HTMLDIRUM)/index.html: manual.xml
	@$(XSLTPROC) --xinclude --param base.dir "'$(HTMLDIRUM)'" \
			  $(HTML_PARAMS) \
			  $(XSLPROFH) $<
	convert -trim -rotate 90 processus.fig $(HTMLDIRUM)/processus.png
	convert -trim pagesetup2.fig $(HTMLDIRUM)/pagesetup2.png
	$(CP) *.png tables/*.png $(HTMLDIRUM)/.
	$(CP) -r math/figures $(HTMLDIRUM)/.
	$(CP) -r $(XSLDBK)/images $(HTMLDIRUM)/.
	$(CP) manual.css $(HTMLDIRUM)/.

$(HTMLDIRRN)/index.html: release-notes.xml
	@$(XSLTPROC) --xinclude --param base.dir "'$(HTMLDIRRN)'" \
			  $(HTML_PARAMS) \
			  $(XSLPROFH) $<
	$(CP) manual.css $(HTMLDIRRN)/.

clean:
	$(RM) manual.pdf release-notes.pdf *.db
	$(RM) $(FIGURES) manpage/dblatex.1.gz
	$(RM) -r $(HTMLDIRUM)
	$(RM) -r $(HTMLDIRRN)

native db2latex simple: version.xml
	$(XSLTPROC) --xinclude \
	            --param profile.attribute "'output'" \
                    --param profile.value "'manual;pdf'" \
		    $(XSLPROF) manual.xml | \
	../scripts/dblatex -P target.database.document=$(HERE)/olinkdb.xml \
	                   -P current.docid=usermanual \
                           -T $@ -o manual-$@.pdf -

# Use the PDF image because the PNG from .fig is ugly
pagesetup2.pdf: pagesetup2.fig
	fig2dev -L pdf $< $@

# Build the Olink database
%.db: %.xml
	$(XSLTPROC) --xinclude --stringparam  collect.xref.targets "only" \
	            $(XSLOLINK) $<
	mv target.db $@

# Build the PDF
%.pdf: %.xml version.xml $(TABLES) $(CHANGES) pagesetup2.pdf
	@$(XSLTPROC) --xinclude \
	            --param profile.attribute "'output'" \
                    --param profile.value "'manual;pdf'" $(XSLPROF) $< | \
	../scripts/dblatex -P target.database.document=$(HERE)/olinkdb.xml \
	                   -c manual.conf $(OPTS) -o $@ - 

# Build the manpage
%.1.gz: %.1
	gzip -f $<

%.1: %.1.xml
	$(XSLTPROC) --param profile.attribute "'output'" \
                    --param profile.value "'manpage'" \
                    --xinclude $(XSLPROF) $< | \
        $(XSLTPROC) $(XSLMAN) - 

# Actual version of the release
version.xml: FORCE
	echo "<emphasis>$(VERSION)</emphasis>" > $@

FORCE:

=== debian/changelog ===
dblatex (0.3.10-2) unstable; urgency=low

  * 20_non_ascii_id.patch:
    pdftex backend: cope with id attributes containing non-ascii characters.
    Thanks to Petter Reinholdtsen for reporting.  Closes: #856123

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sun, 20 Aug 2017 09:52:17 +0200

dblatex (0.3.10-1) unstable; urgency=low

  * New upstream release
    + Fix rendering of quotes and nested quotes with Greek language.
      Closes: #849679
    + db2latex style: In level 4 sections don't start the first paragraph on
      the same line as the heading.  Closes: #851145
  * Drop patches that have been integrated upstream:
    + 20_xmultirow.patch
  * 20_pt_quote.patch:
    In Portuguese and Brazilian documents don't break on a " as last character
    in a table title.
    Thanks to Osamu Aoki for reporting.  Closes: #863527
  * Drop patch 10_dblatex_version.patch: it is not really necessary and could
    be forgotten in NMUs.
  * Refresh patches regarding line numbers.
  * Fix watch file (although changes in unversioned source
    dblatex-examples.tar.bz2 still can't be detected).
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sun, 25 Jun 2017 19:26:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 9), dh-python
 Build-Depends-Indep: python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://dblatex.sourceforge.net/
 X-Python-Version: >= 2.4

=== debian/rules ===
#!/usr/bin/make -f

# Use the debhelper command sequencer.
%:
	dh $@ --buildsystem=pybuild --with python2

override_dh_clean:
	rm --force --recursive docs/examples/
	dh_clean

override_dh_auto_build:
	# - Nothing to be compiled
	# - Don't call build_doc, as it's superfluous and will run into
	#   bootstrap problems.

override_dh_installchangelogs:
	dh_installchangelogs docs/changes/changes.txt

override_dh_installexamples:
	tar --directory=docs --extract --bzip2 --exclude=COPYRIGHT \
	    --file=examples/examples-src.tar.bz2
	dh_installexamples

=== debian/watch ===
# watch control file for uscan
version=4
http://sf.net/dblatex/dblatex-@ANY_VERSION@.tar.bz2

# As upstream source dblatex-examples.tar.bz2 is unversioned, uscan can't
# handle it properly.  (However this source never has changed over the years.)
# The hack below causes this source always to be considered as unchanged.
# However it can be downloaded with 'uscan --force-download'.
opts=component=examples http://sf.net/dblatex/dblatex-examples.tar.bz(\d) 2

## dblatex 0.3.11py3

=== debian/changelog ===
dblatex (0.3.11py3-1) unstable; urgency=medium

  * New upstream release
    - switch to python3; Closes: #936370, #942989
  * QA upload.
  * debian/control
    - add Vcs field pointing to new salsa repo
    - set Maintainers to Debian QA
    - bump Standards-Version tp 4.5.0 (no changes needed)
  * debian/patches
    - refresh, drop patches merged upstream

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Feb 2020 16:54:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: dblatex
 Section: text
 Priority: optional
-Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), dh-python
-Build-Depends-Indep: python
-Standards-Version: 4.0.0
+Build-Depends-Indep: python3
+Standards-Version: 4.5.0
 Homepage: http://dblatex.sourceforge.net/
-X-Python-Version: >= 2.4
+Vcs-Browser: https://salsa.debian.org/debian/dblatex
+Vcs-Git: https://salsa.debian.org/debian/dblatex.git
 
 Package: dblatex
 Architecture: all
 Depends: docbook-xml,
-         python-apt,
+         python3-apt,
          texlive,
          texlive-bibtex-extra,
          texlive-extra-utils,
@@ -19,7 +20,7 @@
          texlive-science,
          xsltproc,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: libxml2-utils,
             dblatex-doc (= ${binary:Version})
 Suggests: docbook,

## dblatex 0.3.12py3

=== debian/changelog ===
dblatex (0.3.12py3-6) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Dec 2025 21:40:00 +0100

dblatex (0.3.12py3-5) unstable; urgency=medium

  * QA upload.

  * Use dh-sequence-python3
  * Add explicity build-dep on python3-setuptools (Closes: #1080579)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 21:31:24 +0100

dblatex (0.3.12py3-4) unstable; urgency=medium

  * QA upload.

  * Fix paths in the d/dblatex-doc.doc-base.* files
  * d/s/lintian-overrides: Override Lintian error source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Feb 2024 06:02:35 -0300

dblatex (0.3.12py3-3) unstable; urgency=medium

  * QA upload.

  [ Graham Inggs ]
  * Cherry-pick two patches from Fedora for Python 3.12 compatibility.
    Closes: #1061320.
  * Fix several instances of SyntaxWarning: invalid escape sequence.

  [ Matthias Klose ]
  * Bump standards version.
  * Stop dblatex invoking inkscape with deprecated options. Closes: #1033547.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Jan 2024 18:51:13 +0100

dblatex (0.3.12py3-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + dblatex-doc: Drop versioned constraint on dblatex in Replaces.
    + dblatex-doc: Drop versioned constraint on dblatex in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 11:10:09 +0100

dblatex (0.3.12py3-1) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Petter Reinholdtsen ]
  * New upstream version 0.3.12py3.
  * Updated Standards-Version from 4.5.0 to 4.5.1.
  * Documented in d/control that this package do not need root access
    during build.
  * Marked dblatex-doc multiarch foreign, as it is only
    documentation files.
  * Added d/gbp.conf file to enforce use of pristine-tar.
  * Added example component to d/gbp.conf.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Dec 2020 17:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: dblatex
 Section: text
-Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dh-python
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-python3,
+ python3-setuptools,
 Build-Depends-Indep: python3
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: http://dblatex.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/dblatex
 Vcs-Git: https://salsa.debian.org/debian/dblatex.git
@@ -47,8 +49,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Replaces: dblatex (<< 0.3.8-1)
-Breaks: dblatex (<< 0.3.8-1)
+Multi-Arch: foreign
 Description: Documentation for dblatex
  Additional documentation for dblatex in HTML and PDF.  Includes:
   • User Manual

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_clean:
	rm --force --recursive docs/examples/

override_dh_auto_build:
	# - Nothing to be compiled
	# - Don't call build_doc, as it's superfluous and will run into
	#   bootstrap problems.

override_dh_installchangelogs:
	dh_installchangelogs docs/changes/changes.txt

execute_before_dh_installexamples:
	tar --directory=docs --extract --bzip2 --exclude=COPYRIGHT \
	    --file=examples/examples-src.tar.bz2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
